package com.cirle.scientific.service;

import com.cirle.scientific.po.QkjMemberTask;
import com.cirle.scientific.pojo.Result;

import java.text.ParseException;

public interface QkjTaskService {
    Result dailyCheckInQd(String memCard, Integer i, Integer dayPoints) throws ParseException;

    Result dailyCheckIn(String memCard, Integer taskId,Integer dayPoints);

    Result findUserTaskInfo(String memCard);

    Result findUserTaskList(String memCard);

    Result findUserjfRanking(String memCard);

    QkjMemberTask judeFinishTask(String memCard, Integer taskId);
}
